<?php
session_start();
?>

<link rel="stylesheet" type="text/css" href="default.css" />

<?php
$declare = $_GET['declare'];
$declare = str_replace("\\","",$declare);
$declare = str_replace("/","",$declare);
$declare = str_replace('"',"",$declare);
$declare = str_replace("'","",$declare);

$filename = "declarations/".$declare.".xml";
if(!file_exists($filename)) die("Declaration not found");

$xml = new SimpleXMLElement(file_get_contents($filename));

echo "<h1>".$xml->name."</h1>";


if (file_exists($xml->logo))
{
?>
<div style="float: right;">
<img src="<?php echo $xml->logo; ?>" alt="Declaration Logo" />
</div>
<?php
}



echo $xml->humanreadable;
?>

<div style="clear: both;"/>
<div id="declarationterms">
<form method="post" action="add.php">
<h2>Terms and Conditions</h2>
<?php echo str_replace("USER",htmlspecialchars($_SESSION['display_name']),$xml->content); ?>
<?php echo $xml->detail; ?>
<p>I declare that the data associated with my account:</p>
<table>
<tr><td><input type="radio" name="datasource" value="ownwork"></td><td>is entirely my own work.</td></tr>
<tr><td><input type="radio" name="datasource" value="derived-clean"></td><td>is a derived work that is relicensable without further conditions.</td></tr>
<tr><td><input type="radio" name="datasource" value="tagged-restricted"></td><td>is a derivated work. The original work's license imposes additional restrictions (e.g. attribution). I have used appropriate source tags to indicate <em>all</em> the affected data.</td></tr>
<tr><td><input type="radio" name="datasource" value="ambiguous"></td><td>is a derived work. The original work's license imposes additional restrictions (e.g. attribution). I have not used source tags, or used source tags to indicate <em>some</em>, but not all, of the affected data.</td></tr>
</table>

<?php echo $xml->warning; ?>
<!--<p>Your username: <input type="text" name="confirm" /></p>-->
<p><input type="hidden" name="decl" value="<?php echo $declare;?>"/><input type="submit" value="<?php echo trim($xml->button);?>" /></p>
</form>
</div>

<p><a href=".">Cancel</a></p>

